<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNewLineRequestSurveyCancelReasonsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('new_line_request_survey_cancel_reasons', function (Blueprint $table) {
            $table->id();
            $table->foreignId('new_line_request_id');
            $table->foreignId('cancel_reason_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('new_line_request_survey_cancel_reasons');
    }
}
